<form [formGroup]="functionFormGroup" (ngSubmit)="onSubmit()">
  <mat-form-field>
    <mat-label>Choose a function</mat-label>
    <mat-select formControlName="functionData">
      <mat-option *ngFor="let func of functions" [value]="func">
        {{func.plainTextFormula}}
      </mat-option>
    </mat-select>
  </mat-form-field>
  <button mat-raised-button color="primary" type="submit" [disabled]="!functionFormGroup.valid || disabled">
    Submit
  </button>
</form>
